Merge "adb completion: call _init_completion if available"
diff --git a/bash_completion/adb.bash b/bash_completion/adb.bash
index 4b10e14..3017bfa 100644
--- a/bash_completion/adb.bash
+++ b/bash_completion/adb.bash
@@ -16,13 +16,14 @@
 #
 
 _adb() {
-    unset -v have
-    type $1 &> /dev/null && have="yes"
-
-    if [ "$have" != "yes" ]; then
+    if ! type -t "$1" >/dev/null; then
         return
     fi
 
+    if type -t _init_completion >/dev/null; then
+        _init_completion || return
+    fi
+
     local where i cur serial
     COMPREPLY=()